Failed repository creation is not easily corrected
Description

When trying to create a repository, if an error occurs due to some user error the dynflow process cannot be corrected.

For example:

Create a puppet repo with a feed url starting with 'https’

The repository creation process will start but the dynflow task will fail when it tries to create it in pulp. Since the user cannot

re-submit the task and update the feed url, he is forced to go into the rails console and delete the repository.

Associated revisions

Revision 8c67ff53 - 07/22/2014 03:39 PM - Justin Sherrill

fixes #5096 - fail gracefully on pulp repo creation failure

The goal is to run the action creation in the plan phase

and error out if its not valid. A similar approach is taken

with Content Host Creation. However in that case, content hosts

are not created in other situations. Repositories are created during
publish/promote of content views as well and in that situation we do not

want to perform pulp creation in the plan phase. As a result | have created

a new action Createlmmediate that does the creation in the plan phase.

It attempts to use as much from Create as possible (there is a lot of code there)

Revision e669b21d - 07/22/2014 03:39 PM - Justin Sherrill

fixes #5096 - fail gracefully on pulp repo creation failure

The goal is to run the action creation in the plan phase

and error out if its not valid. A similar approach is taken

with Content Host Creation. However in that case, content hosts

are not created in other situations. Repositories are created during
publish/promote of content views as well and in that situation we do not
want to perform pulp creation in the plan phase. As a result | have created

a new action Createlmmediate that does the creation in the plan phase.
It attempts to use as much from Create as possible (there is a lot of code there)

Revision 3344a17b - 07/23/2014 10:23 AM - Justin Sherrill
Merge pull request #4456 from jIsherrill/5096

fixes #5096 - fail gracefully on pulp repo creation failure
Revision e43ad4b2 - 07/23/2014 10:23 AM - Justin Sherrill
Merge pull request #4456 from jIsherril/5096

fixes #5096 - fail gracefully on pulp repo creation failure
History

#1 - 06/04/2014 02:08 AM - Eric Helms
- Assignee set to Justin Sherrill
- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 07/02/2014 03:29 PM - Justin Sherrill
New reproducer,

try to create a puppet repo with feed of:

ftp://hostname.com/path

#3 - 07/02/2014 03:29 PM - Justin Sherrill
- Difficulty changed from easy to hard

#4 - 07/07/2014 12:55 PM - Justin Sherrill
- Target version set to 49

- translation missing: en.field_release set to 13

#5 - 07/07/2014 12:57 PM - Partha Aji
- Bugzilla link set to 1116954

#6 - 07/17/2014 01:45 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/4456 added

#7 - 07/23/2014 11:01 AM - Justin Sherrill
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|8c67{f5324b9713e34cb09ef46b011a6b34c9f39.
